OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000040OMNeT++IDE / C++ developmentpublic2008-12-20 17:452011-06-06 16:11
Reporterrhornig 
Assigned Torhornig 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0rc1 
Target VersionFixed in Version 
Summary0000040: The IDE exported 'makemakefiles' makefile is not correct
DescriptionIf you export a makefilegeneration makefile the IDE will writed a makefile which contain variables like $(CONFIGNAME), however these veriables must be double escaped (once for the makefile, once for the shell). I.e the correct format should be:
'$$(CONFIGNAME)' instaead of $(CONFIGNAME)

Also it seems that the include directories (-I) are not correctly exported into the makefile... (i.e. several include dirs are missing which are present in the IDE generated makefile) (see: mobilityfw2.0p3-o4 testSuite dir)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000478)
rhornig (administrator)
2011-06-06 16:11

Tested. Works correctly with omnet 4.2b2 and generates exactly the same opp_makemake commandline as the IDE.

- Issue History
Date Modified Username Field Change
2008-12-20 17:45 rhornig New Issue
2008-12-20 17:45 rhornig Assigned To => andras
2011-05-20 10:17 rhornig Assigned To andras => rhornig
2011-06-06 16:11 rhornig Note Added: 0000478
2011-06-06 16:11 rhornig Status new => resolved
2011-06-06 16:11 rhornig Fixed in Version => 4.2b3
2011-06-06 16:11 rhornig Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker